Bug 62713 - ports/www/lynx -> 2.8.5
Summary: ports/www/lynx -> 2.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-11 22:50 UTC by jharris
Modified: 2004-02-12 15:58 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-02-11 22:50:18 UTC
	upgrade lynx to 2.8.5
	add CONFLICTS
	add fetching (and verifying) of PGP signature
	NB:  use ports/www/lynx-ssl to enable SSL

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFAKq48SypIl9OdoOMRAvc/AJ9LC1oTN9gGiVPl5VR0fJ2VgHgFEQCgogO6
HXam2deeNz58PqnZJ9fC5G4=
=irHP
-----END PGP SIGNATURE-------wunnyr5RSLAhVgSqwZVFbiOkpICUMFnsIAxAN2n1Y0jCHCSq
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/lynx/Makefile,v
retrieving revision 1.108
diff -u -r1.108 Makefile
--- Makefile	11 Jan 2004 20:22:59 -0000	1.108
+++ Makefile	11 Feb 2004 22:35:00 -0000
@@ -6,23 +6,22 @@
 #
 
 PORTNAME=	lynx
-PORTVERSION=	2.8.4.1d
-PORTREVISION=	0
+PORTVERSION=	2.8.5
 CATEGORIES=	www ipv6
 MASTER_SITES=	http://lynx.isc.org/current/
-DISTNAME=	${PORTNAME}2.8.4rel.1
-
-PATCH_SITES=	http://lynx.isc.org/release/patches/
-PATCHFILES=	lynx2.8.4rel.1a.patch \
-		lynx2.8.4rel.1b.patch \
-		lynx2.8.4rel.1c.patch \
-		lynx2.8.4rel.1d.patch
+DISTNAME=	${PORTNAME}2.8.5rel.1
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER?=	jharris@widomaker.com
 COMMENT?=	A non-graphical, text-based World-Wide Web client
 
+CONFLICTS?=	lynx-ssl* lynx-current*
+
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.asc
 USE_BZIP2=	yes
-WRKSRC=		${WRKDIR}/${PORTNAME}2-8-4
+WRKSRC=		${WRKDIR}/${PORTNAME}2-8-5
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-screen=ncurses --with-zlib --libdir="${L_LIB}" \
 		--enable-nsl-fork --enable-persistent-cookies \
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/lynx/distinfo,v
retrieving revision 1.130
diff -u -r1.130 distinfo
--- distinfo	10 Jun 2003 12:27:44 -0000	1.130
+++ distinfo	11 Feb 2004 22:35:00 -0000
@@ -1,5 +1,10 @@
-MD5 (lynx2.8.4rel.1.tar.bz2) = 6916c0127839f1e454052b683e4691c4
-MD5 (lynx2.8.4rel.1a.patch) = d209e52d8182c7c12d784e90c0890ee4
-MD5 (lynx2.8.4rel.1b.patch) = a687a3d2465d5fd42ce686485dbf71eb
-MD5 (lynx2.8.4rel.1c.patch) = 728c8dfde1484b68940673ccf060707e
-MD5 (lynx2.8.4rel.1d.patch) = f710a4b1eac5be0f014816dd48da6ddc
+MD5 (lynx2.8.5rel.1.tar.bz2) = d1e5134e5d175f913c16cb6768bc30eb
+SHA1 (lynx2.8.5rel.1.tar.bz2) = c70866f67c1365b55e0c9c0c569190f5919d28d4
+RMD160 (lynx2.8.5rel.1.tar.bz2) = 80d20261ac6eaebe1d940fb5de485daaad7bb3b7
+SHA256 (lynx2.8.5rel.1.tar.bz2) = 37607008086933c869be26b4db687f61a768c51ddefa741e77225069b880bc63
+SIZE (lynx2.8.5rel.1.tar.bz2) = 2177287
+MD5 (lynx2.8.5rel.1.tar.bz2.asc) = 1c24e82ecefb1fb08d76d7260609bb68
+SHA1 (lynx2.8.5rel.1.tar.bz2.asc) = e7d5d536e9070ac403a572fa1f8286b1b8ead2b8
+RMD160 (lynx2.8.5rel.1.tar.bz2.asc) = 9d42f41a2f00e08e631c2f3382af581f30e69855
+SHA256 (lynx2.8.5rel.1.tar.bz2.asc) = 528dbcd057484729597169a6711a119919087d5644c37a3c17a48d3a43a744da
+SIZE (lynx2.8.5rel.1.tar.bz2.asc) = 245
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/lynx/pkg-plist,v
retrieving revision 1.14
diff -u -r1.14 pkg-plist
--- pkg-plist	3 Sep 2001 22:49:21 -0000	1.14
+++ pkg-plist	11 Feb 2004 22:35:00 -0000
@@ -10,12 +10,39 @@
 @exec ln -sf %D/%F %D/share/lynx_help
 share/doc/lynx/PROBLEMS
 share/doc/lynx/README
+share/doc/lynx/docs/CHANGES2.3
+share/doc/lynx/docs/CHANGES2.4
+share/doc/lynx/docs/CHANGES2.5
+share/doc/lynx/docs/CHANGES2.6
+share/doc/lynx/docs/CHANGES2.7
+share/doc/lynx/docs/CHANGES2.8
+share/doc/lynx/docs/CMU.announce
+share/doc/lynx/docs/CRAWL.announce
+share/doc/lynx/docs/FM.announce
+share/doc/lynx/docs/IBMPC-charsets.announce
+share/doc/lynx/docs/OS-390.announce
+share/doc/lynx/docs/README.TRST
+share/doc/lynx/docs/README.chartrans
+share/doc/lynx/docs/README.defines
+share/doc/lynx/docs/README.jp
+share/doc/lynx/docs/README.rootcerts
+share/doc/lynx/docs/README.ssl
+share/doc/lynx/docs/README.sslcerts
+share/doc/lynx/docs/SOCKETSHR.announce
+share/doc/lynx/docs/TCPWARE.announce
+share/doc/lynx/docs/VMSWAIS.announce
+share/doc/lynx/docs/djgpp.key
+share/doc/lynx/docs/pdcurses.key
+share/doc/lynx/docs/slang.key
+share/doc/lynx/docs/win-386.announce
 share/doc/lynx/samples/blue-background.lss
 share/doc/lynx/samples/bright-blue.lss
 share/doc/lynx/samples/cernrules.txt
 share/doc/lynx/samples/installdirs.html
 share/doc/lynx/samples/jumpsUnix.html
 share/doc/lynx/samples/jumpsVMS.html
+share/doc/lynx/samples/keepviewer
+share/doc/lynx/samples/lynxdump
 share/doc/lynx/samples/lynx-keymaps
 share/doc/lynx/samples/lynx.com
 share/doc/lynx/samples/lynx.lss
@@ -30,11 +57,14 @@
 share/doc/lynx/test/c1.html
 share/doc/lynx/test/iso8859-1.html
 share/doc/lynx/test/iso88592.html
+share/doc/lynx/test/koi8-r.html
+share/doc/lynx/test/quickbrown.html
 share/doc/lynx/test/raw8bit.html
 share/doc/lynx/test/sgml.html
 share/doc/lynx/test/spaces.html
 share/doc/lynx/test/tabtest.html
 share/doc/lynx/test/unicode.html
+share/doc/lynx/test/utf-8-demo.html
 share/lynx_help/COPYHEADER
 share/lynx_help/COPYING
 share/lynx_help/Lynx_users_guide.html
@@ -61,6 +91,7 @@
 share/lynx_help/lynx-dev.html
 share/lynx_help/lynx_help_main.html
 share/lynx_help/lynx_url_support.html
+@dirrm share/doc/lynx/docs
 @dirrm share/doc/lynx/samples
 @dirrm share/doc/lynx/test
 @dirrm share/doc/lynx
cvs server: Diffing files
Index: files/patch-aa
===================================================================
RCS file: /home/ncvs/ports/www/lynx/files/patch-aa,v
retrieving revision 1.30
diff -u -r1.30 patch-aa
--- files/patch-aa	3 Sep 2001 22:49:22 -0000	1.30
+++ files/patch-aa	11 Feb 2004 22:35:01 -0000
@@ -1,11 +1,15 @@
---- makefile.in.orig	Tue Feb 13 04:33:21 2001
-+++ makefile.in	Sat Mar  3 05:21:01 2001
-@@ -387,22 +387,19 @@
- 		fi ; \
- 		)'
- 	@-rm -f $(HELPDIR)/help_files.sed
+===================================================================
+RCS file: makefile.in,v
+retrieving revision 1.1
+diff -u -r1.1 makefile.in
+--- makefile.in	2004/02/11 01:50:15	1.1
++++ makefile.in	2004/02/11 01:53:41
+@@ -362,22 +362,18 @@
+ 		if test "$(COMPRESS_PROG)" != "" ; then \
+ 			(cd $(HELPDIR) && $(COMPRESS_PROG) $$files ) \
+ 		fi'
 -	@echo Updating $(libdir)/lynx.cfg
--	$(SHELL) -c 'if test -f $(LIBDIR)/lynx.cfg ; then \
+-	@ECHO_CC@$(SHELL) -c 'if test -f $(LIBDIR)/lynx.cfg ; then \
 -		mv $(LIBDIR)/lynx.cfg $(LIBDIR)/lynx.tmp ; \
 -	else \
 -		cp $(srcdir)/lynx.cfg $(LIBDIR)/lynx.tmp ; \
@@ -23,19 +27,17 @@
 -		$(LIBDIR)/lynx.tmp >$(LIBDIR)/lynx.cfg
 -	chmod 644 $(LIBDIR)/lynx.cfg
 +		$(LIBDIR)/lynx.tmp >$(LIBDIR)/lynx.cfg.default
-+	chmod 644 $(LIBDIR)/lynx.cfg.default
  	-rm -f $(LIBDIR)/lynx.tmp
 +	-[ ! -f $(LIBDIR)/lynx.cfg ] && $(INSTALL_DATA) $(LIBDIR)/lynx.cfg.default $(LIBDIR)/lynx.cfg
  
  LYHelp.h : help_files.sed LYHelp.hin
  	@echo Creating $@
-@@ -424,8 +421,7 @@
- 	$(SHELL) -c '$(srcdir)/cfg_defs.sh $(srcdir)'
+@@ -399,7 +395,7 @@
+ 	$(SHELL) -c 'SHELL=$(SHELL) $(SHELL) $(srcdir)/cfg_defs.sh $(srcdir)'
  
  install-cfg : $(LIBDIR)
--	-mv -f $(LIBDIR)/lynx.cfg $(LIBDIR)/lynx.oldcfg
--	$(INSTALL_DATA) $(srcdir)/lynx.cfg $(LIBDIR)/lynx.cfg
-+	$(INSTALL_DATA) $(srcdir)/lynx.cfg $(LIBDIR)/lynx.cfg.default
+-	@$(SHELL) -c '$(srcdir)/scripts/install-cfg.sh "$(INSTALL_DATA)" $(srcdir)/lynx.cfg $(LIBDIR)/lynx.cfg'
++	@$(SHELL) -c '$(srcdir)/scripts/install-cfg.sh "$(INSTALL_DATA)" $(srcdir)/lynx.cfg $(LIBDIR)/lynx.cfg.default'
  
  install-lss : $(LIBDIR)
  	-mv -f $(LIBDIR)/lynx.lss $(LIBDIR)/lynx.oldlss
cvs server: cannot find files/patch-ab
cvs server: cannot find files/patch-syslog
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)
How-To-Repeat: 
	apply patch below
	NB:  remove files/patch-ab and files/patch-syslog
Comment 1 Sergey A. Osokin freebsd_committer 2004-02-12 15:07:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

I'll handle this.
Comment 2 Sergey A. Osokin freebsd_committer 2004-02-12 15:57:20 UTC
State Changed
From-To: open->closed

Committed, thanks! 
At next time please use [MAINTAINER] sign in Subject of PR letter.